GlueGen: com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle Class Reference
Inheritance diagram for com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle:
Collaboration diagram for com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle:

## Classes

class | Test1DynLibBundleInfo

## Public Member Functions

void | chapter00TestClassExist () throws Exception
| Verifies the existence and creation of the generated class. More...
void | chapter__TestCoverageSignature () throws Exception
| Verifies if all generated method signatures are completed, ie a compilation only coverage test without functional tests. More...
void | chapter01TestStaticConstants () throws Exception
| Verifies if all generated static constant values are completed, and whether their value is as expected! More...
void | chapter03aTestCoverageFunctionalityDirectNIOAndPrimitiveArray () throws Exception
| Verifies if all methods / signatures are properly generated, can be invoked and functions. More...
void | chapter03bTestCoverageFunctionalityIndirectNIOAndPrimitiveArray () throws Exception
| Verifies if all methods / signatures are properly generated, can be invoked and functions. More...
void | chapter04TestPointerBuffer () throws Exception
| This covers direct / indirect pointer buffers. More...
void | chapter05TestSomeFunctionsAllIndirect () throws Exception
| This covers indirect primitive arrays and indirect NIO buffers. More...
void | chapter09TestCompoundAlignment () throws Exception
| This covers compounds (structs) data alignment. More...
void | chapter10TestCompoundCallByReference () throws Exception
| This covers compounds (structs) call-by-reference. More...
void | chapter11TestCompoundCallByValue () throws Exception
| This covers compounds (structs) call-by-value. More...
void | chapter12TestTKField () throws Exception
| Test compound access read-write. More...
void | chapter13TestTKFieldImmutable () throws Exception
| Test compound access read-only. More...
void | chapter14TestTKMixed () throws Exception
void | chapter15TestCustomJNICode () throws Exception
| Test Custom JNI Code invocation. More...
void | chapter16TestPascalString () throws Exception
Public Member Functions inherited from com.jogamp.gluegen.test.junit.generation.BaseClass
void | testClassExist (final String name) throws Exception
| Verifies the existence and creation of the generated class. More...
void | chapter__TestCoverageSignature (final Bindingtest1 binding) throws Exception
| Verifies if all generated method signatures are completed, ie a compilation only coverage test without functional tests. More...
void | chapter01TestStaticConstants (final Bindingtest1 binding) throws Exception
| Verifies if all generated static constant values are completed, and whether their value is as expected! More...
void | chapter03TestCoverageFunctionalityNIOAndPrimitiveArray (final Bindingtest1 binding, final boolean direct) throws Exception
| Verifies if all methods / signatures are properly generated, can be invoked and functions. More...
void | chapter04TestPointerBuffer (final Bindingtest1 binding) throws Exception
void | chapter05TestSomeFunctionsAllIndirect (final Bindingtest1 binding) throws Exception
| This covers indirect primitive arrays and indirect NIO buffers. More...
void | chapter09TestCompoundAlignment (final Bindingtest1 binding) throws Exception
void | chapter10TestCompoundCallByReference (final Bindingtest1 binding) throws Exception
| Test compound access call-by-reference. More...
void | chapter11TestCompoundCallByValue (final Bindingtest1 binding) throws Exception
| Test compound access call-by-value. More...
void | chapter12TestTKField (final Bindingtest1 binding) throws Exception
| Test array and pointer bindings of structs More...
void | chapter13TestTKFieldImmutable (final Bindingtest1 binding) throws Exception
void | chapter14TestTKMixed (final Bindingtest1 binding) throws Exception
void | chapter15TestCustomJNICode (final Bindingtest1 binding) throws Exception
void | chapter16TestPascalString (final Bindingtest1 binding) throws Exception
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | chapter__TestLoadLibrary () throws Exception
| Verifies loading of the new library. More...
static void | chapter0XTestUnloadLibrary () throws Exception
| Verifies unloading of the new library. More...
static void | main (final String args[]) throws Exception
Static Public Member Functions inherited from com.jogamp.gluegen.test.junit.generation.BaseClass
static void | assertAPTR (final long expected, final long actual)
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()
Static Public Attributes inherited from com.jogamp.gluegen.test.junit.generation.BaseClass
static final float | EPSILON = 1.1920929E-7f
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500

## Detailed Description

Definition at line 51 of file Test1p2DynamicLibraryBundle.java.

## Member Function Documentation

## ◆ chapter00TestClassExist()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter00TestClassExist | ( |  | ) | throws Exception

Verifies the existence and creation of the generated class.

Definition at line 71 of file Test1p2DynamicLibraryBundle.java.

Here is the caller graph for this function:

## ◆ chapter01TestStaticConstants()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter01TestStaticConstants | ( |  | ) | throws Exception

Verifies if all generated static constant values are completed, and whether their value is as expected!

Covers all enumerates and defines.

Definition at line 91 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter03aTestCoverageFunctionalityDirectNIOAndPrimitiveArray()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter03aTestCoverageFunctionalityDirectNIOAndPrimitiveArray | ( |  | ) | throws Exception

Verifies if all methods / signatures are properly generated, can be invoked and functions.

This is a compilation (coverage) and runtime time (semantic) test. This covers indirect primitive arrays and direct NIO buffers.

Definition at line 102 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter03bTestCoverageFunctionalityIndirectNIOAndPrimitiveArray()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter03bTestCoverageFunctionalityIndirectNIOAndPrimitiveArray | ( |  | ) | throws Exception

Verifies if all methods / signatures are properly generated, can be invoked and functions.

This is a compilation (coverage) and runtime time (semantic) test. This covers indirect primitive arrays and indirect NIO buffers (nio using arrays).

Definition at line 113 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter04TestPointerBuffer()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter04TestPointerBuffer | ( |  | ) | throws Exception

This covers direct / indirect pointer buffers.

Definition at line 121 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter05TestSomeFunctionsAllIndirect()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter05TestSomeFunctionsAllIndirect | ( |  | ) | throws Exception

This covers indirect primitive arrays and indirect NIO buffers.

Definition at line 129 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter09TestCompoundAlignment()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter09TestCompoundAlignment | ( |  | ) | throws Exception

This covers compounds (structs) data alignment.

Definition at line 137 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter0XTestUnloadLibrary()

static void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter0XTestUnloadLibrary | ( |  | ) | throws Exception

static

Verifies unloading of the new library.

Definition at line 195 of file Test1p2DynamicLibraryBundle.java.

Here is the call graph for this function:

## ◆ chapter10TestCompoundCallByReference()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter10TestCompoundCallByReference | ( |  | ) | throws Exception

This covers compounds (structs) call-by-reference.

Definition at line 145 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter11TestCompoundCallByValue()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter11TestCompoundCallByValue | ( |  | ) | throws Exception

This covers compounds (structs) call-by-value.

Definition at line 153 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter12TestTKField()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter12TestTKField | ( |  | ) | throws Exception

Test compound access read-write.

Definition at line 161 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter13TestTKFieldImmutable()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter13TestTKFieldImmutable | ( |  | ) | throws Exception

Test compound access read-only.

Definition at line 169 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter14TestTKMixed()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter14TestTKMixed | ( |  | ) | throws Exception

Definition at line 174 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter15TestCustomJNICode()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter15TestCustomJNICode | ( |  | ) | throws Exception

Test Custom JNI Code invocation.

Definition at line 182 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter16TestPascalString()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter16TestPascalString | ( |  | ) | throws Exception

Definition at line 187 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter__TestCoverageSignature()

void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter__TestCoverageSignature | ( |  | ) | throws Exception

Verifies if all generated method signatures are completed, ie a compilation only coverage test without functional tests.

Definition at line 79 of file Test1p2DynamicLibraryBundle.java.

## ◆ chapter__TestLoadLibrary()

static void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.chapter__TestLoadLibrary | ( |  | ) | throws Exception

static

Verifies loading of the new library.

Definition at line 59 of file Test1p2DynamicLibraryBundle.java.

Here is the call graph for this function:

## ◆ main()

static void com.jogamp.gluegen.test.junit.generation.Test1p2DynamicLibraryBundle.main | ( | final String | args[] | ) | throws Exception

static

Definition at line 202 of file Test1p2DynamicLibraryBundle.java.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/gluegen/test/junit/generation/Test1p2DynamicLibraryBundle.java